Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

  1. #1
    Membre émérite
    Quelle version d'Eclipse utilisez-vous ? Pourquoi ? (2008)
    Sondage archivé.
    Retrouvez le sondage actuel ici.

    Bonjour,

    Nous renouvelons ce sondage sur l'utilisation d'Eclipse par nos membres.
    Vous pouvez également consulter l'archive 2007 de ce sondage.

    N'hésitez pas à poster vos impressions et sentiments sur la version que vous utilisez, les raisons de ce choix, ...

    N'oubliez pas également le sujet vous permettant de partager vos impressions sur les plugins que vous utilisez : http://www.developpez.net/forums/sho...ad.php?t=14436
    "Le bon ni le mauvais ne me feraient de peine si si si je savais que j'en aurais l'étrenne." B.V.
    Non au langage SMS ! Je ne répondrai pas aux questions techniques par MP.
    Eclipse : News, FAQ, Cours, Livres, Blogs.Et moi.

  2. #2
    Expert éminent
    Bonjour,
    J'utilise eclipse 3.3.1.1. Ce choix a été dicté par le fait que c'est la dernière version stable declipse, mais surtout parcequ'elle supporte JSF via WTP 2.

    J'ai par contre (ainsi que la majorité des utilisateurs d'eclipse) eu pas mal de mauvaises surprises avec eclipse 3.3 (Le fameux OutOfMemoryException: PermGenSpace) ainsi qu'avec WTP 2 (version originale buggué à mort, pratiquement inutilisable pour JSF).

    Mais les choses se sont améliorés au fils des versions et correctifs (le problème du PermGenSpace résolu avec la version 3.3.1.1, WTP corrigé avec la version 2.0.1).

    De plus, maintenant, la majorité des plugins supportent cette version (vu son age).

  3. #3
    Expert éminent sénior
    J'ai voté 3.2 par défaut car celà doit correspondre à la version d'éclipse utilisée dans RAD7 (que j'utilise au taf)

    Sinon chez moi cela dépend, 3.3.x sur mon ordi de bureau et 3.2.x sur le portable (la flemme de mettre à jour surement).

    Niveau plugin pas grand chose Jalopy, toString generator, WTP au taf (j'fais pas de JEE @home) plus tous les ajouts de base de RAD7 (qui sont nombreux et qui en font une belle usine à Gaz ), le plugin JFormDesigner chez moi, les plugins contenus dans Europa/Callisto.
    Hey, this is mine. That's mine. All this is mine. I'm claiming all this as mine. Except that bit. I don't want that bit. But all the rest of this is mine. Hey, this has been a really good day. I've eaten five times, I've slept six times, and I've made a lot of things mine. Tomorrow, I'm gonna see if I can't have sex with something.

  4. #4
    Membre confirmé
    Bonjour,

    Au travail, on utilise la version 3.3.1.1.

    Pourquoi ?

    Parce que c'est la dernière version stable. La version 3.3 appporte le support du DataBinding en version stable que nous utilisons amplement pour le client RCP.
    L'histoire des PermGen Space peut se résourdre en monitorant Eclipse avec la JConsole et en affinant les réglages de la mémoire. Mon eclipse tourne depuis presque une semaine sans problème.

    Il y a encore quels petits bugs sur cette version. Mais j'espère que ça ira mieux avec la prochaine release.
    Dans notre cas, on a un cas bloquant : impossible de faire marcher JWS avec Eclipse. On doit surement mal s'y prendre.

    On a eu peur que la traduction ne soit pas disponible a temps mais maintenant c'est réglé.

    A+
    Gronono

  5. #5
    Membre régulier
    j'utilise la version 3.3, et je ne me suis jamais plaint.
    bonne journée à tous
    yostane

  6. #6
    Membre à l'essai
    3.1.2
    C'est la version que j'utilise au TAF.
    Pour l'instant nous n'avons pas encore prevue de migration vers les nouvelles versions

  7. #7
    Membre actif
    3.3.1.1 Car en fait j'utilise la version Europa pour PDT

  8. #8
    Nouveau Candidat au Club
    3.3.1.1, je migre vers la dernière stable dès que j'en ai le temps... Le PermGenSpace n'a été résolu pour ma part qu'hier (je développe pas forcément tous les jours, mais là j'en ai eu marre et à priori la solution trouvée sur google fonctionne).

    Subversion, dvpt j2se principalement avec spring pour l'IoC, hibernate ....

  9. #9
    Rédacteur/Modérateur

    La 3.3 a apporté quelques fonctionnalités qui me sont très utiles comme par exemple, le fait de pouvoir faire des recherches de texte et l'affichage des numéros de ligne au sein du comparateur de version. Une lacune qui commençait à être pesante pour moi car en environnement projet avec subversion c'était vraiment pénible de chercher les lignes à tâton.

    Le refactoring des noms de variables qui est dynamique, ce n'est pas primordial comme évolution mais néanmoins assez sympathique.
    Pas non plus primordial, l'affichage des informations complémentaires, liées aux fichiers de la vue package, dans une autre couleur. Surtout intéressant lorsque les projets sont versionnés.

    Depuis la 3.3.1.1, c'est rentré dans l'ordre au niveau stabilité, heureusement...

    Point embêtant, le non fonctionnement du Visual Editor (version officielle), obligeant à rester en 3.2.
    Responsable FAQ Eclipse | Maintiens et développe un des logiciels destinés aux rédacteurs sur developpez.com
    Gardons toujours à l'esprit que le forum constitue une base documentaire, dont l'utilité et la qualité dépendent du soin apporté à nos questions et nos réponses. Soyons polis, précis (dans le titre et dans le corps des questions), concis, constructifs et faisons de notre mieux pour respecter la langue française et sa grammaire. Merci pour nous (les modérateurs) mais aussi et surtout, merci pour vous.
    Problème solutionné => je vais au bas de la page et je clique sur le bouton (qui suite à mise à jour du forum, a légèrement changé d'aspect).

  10. #10
    Invité
    Invité(e)
    J'utilise MyEclipse parceque j'ai eu l'occasion de l'acquérir mais avant j'utilisais la 3.2 (Europa).

  11. #11
    Membre à l'essai
    Tant qu'il n'y aura pas de version officielle de Visual Editor sur les nouvelles versions, je resterai en 3.2

  12. #12
    Membre régulier
    Je suis un Fidel utilisateur de Netbeans, Il est largement suffisant pour mes développements avec JEE. Mais depuis la sortie de Eclipse 3.4, j’essai de temps en temps de découvrir ce fameux IDE.

    Je me suis rendu compte que chaque IDE a bel est bien ses avenages et ses inconvenants.

    Lors de mes premiers pas avec JAVA, Netbeans, qui était prêt à exécuter mes taches dès son installation (sans être obligé d’ajouter des plugins) m’avait beaucoup aidé à découvrir le monde ‘fantastique’ de JAVA.

    La concurrence entre Netbeans (Mon préféré) et Eclipse ne peut qu’être bénéfique pour tous les utilisateurs de ces IDE.
    SJCP 1.6

  13. #13
    Membre du Club
    Au boulot : 3.3.1.1 (choix du client)

    A la maison : 3.3.1.1 pour la compatibilité avec les anciens plugins et 3.4 pour les petits trucs..

  14. #14
    Membre averti
    bêh moi pas vraiment le choix!!
    j'ai commencé a utiliser eclipse sur la 3.4.0 que je met regulièrement a jour.
    En plus j'aime ce qui est nouveaux pourvu que ce soit stable.

  15. #15
    Membre régulier
    pour moi j'utilise pour le Eclipse Red Hat Developer Studio.
    Il est puissant mais l'erreur OutOfMemoryException: PermGenSpace, existe dans cette version.